@echo off
@REM ###############################################################################
@REM # Licensed Materials - Property of IBM
@REM # 5724-D33
@REM # IBM License Metric Tool
@REM #
@REM # (C) Copyright IBM Corp. 2011.  All Rights Reserved.
@REM #
@REM # US Government Users Restricted Rights - Use, duplication or
@REM # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM ############################################################################### 


rem Registry entry used to retrieve installation directory.

set UID=C18D2775-33F4-4CE9-B071-4ECC78DA5E33
set FULLKEY=HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{%UID%}
set VALUENAME=InstallLocation

set INSTALL_PATH=nul


rem Extract Agent installation directory from the registry.

REG QUERY %FULLKEY% /v %VALUENAME% > #
for /f "tokens=2*" %%i in ('find /I "%VALUENAME%" #') do set INSTALL_PATH=%%j
del #


rem Launch the uninstaller.

if not "%INSTALL_PATH%"=="nul" call "%INSTALL_PATH%\tlmunins.bat"

